zenilib: zenilib/jni/external/libpng/pngwtran.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
pngwtran.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Functions

void | png_do_pack (png_row_infop row_info, png_bytep row, png_uint_32 bit_depth)
void | png_do_shift (png_row_infop row_info, png_bytep row, png_const_color_8p bit_depth)
void | png_do_write_intrapixel (png_row_infop row_info, png_bytep row)
void | png_do_write_invert_alpha (png_row_infop row_info, png_bytep row)
void | png_do_write_swap_alpha (png_row_infop row_info, png_bytep row)
void | png_do_write_transformations (png_structp png_ptr, png_row_infop row_info)

## Function Documentation

void png_do_pack | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_uint_32 | bit_depth
| ) |  |

Definition at line 101 of file pngwtran.c.

References i, png_debug, and PNG_ROWBYTES.

Referenced by png_do_write_transformations().

void png_do_shift | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_const_color_8p | bit_depth
| ) |  |

Definition at line 246 of file pngwtran.c.

References bp, i, int, j, PNG_COLOR_MASK_ALPHA, PNG_COLOR_MASK_COLOR, PNG_COLOR_TYPE_PALETTE, and png_debug.

Referenced by png_do_write_transformations().

void png_do_write_intrapixel | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 572 of file pngwtran.c.

References i, PNG_COLOR_MASK_COLOR, PNG_COLOR_TYPE_RGB, PNG_COLOR_TYPE_RGB_ALPHA, png_debug, and red.

Referenced by png_write_row().

void png_do_write_invert_alpha | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 475 of file pngwtran.c.

References i, PNG_COLOR_TYPE_GRAY_ALPHA, PNG_COLOR_TYPE_RGB_ALPHA, and png_debug.

Referenced by png_do_write_transformations().

void png_do_write_swap_alpha | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 381 of file pngwtran.c.

References i, PNG_COLOR_TYPE_GRAY_ALPHA, PNG_COLOR_TYPE_RGB_ALPHA, and png_debug.

Referenced by png_do_write_transformations().

void png_do_write_transformations | ( | png_structp | png_ptr,
|  | png_row_infop | row_info
| ) |  |

Definition at line 23 of file pngwtran.c.

References NULL, PNG_BGR, png_debug, png_do_bgr(), png_do_invert(), png_do_pack(), png_do_packswap(), png_do_shift(), png_do_strip_channel(), png_do_swap(), png_do_write_invert_alpha(), png_do_write_swap_alpha(), PNG_FILLER, PNG_FLAG_FILLER_AFTER, PNG_INVERT_ALPHA, PNG_INVERT_MONO, PNG_PACK, PNG_PACKSWAP, PNG_SHIFT, PNG_SWAP_ALPHA, PNG_SWAP_BYTES, and PNG_USER_TRANSFORM.

Referenced by png_write_row().